リンク
GET https://olinke.com/api/links/
curl --request GET \
--url 'https://olinke.com/api/links/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://olinke.com/api/links/' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| search | オプション 文字列 | 検索文字列。 |
| search_by | オプション 文字列 | 検索するフィールドは何ですか。許可されている値は:url, location_url。 |
| is_enabled | オプション ブール値 | |
| project_id | オプション 整数 | |
| domain_id | オプション 整数 | |
| type | オプション 文字列 |
biolink, link, file, vcard, event, static |
| datetime_field | オプション 文字列 | 許可された値: datetime, last_datetime |
| datetime_start | オプション 文字列 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | オプション 文字列 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | オプション 文字列 | 結果をどのフィールドで並べ替えるか。許可されている値は:link_id, datetime, last_datetime, clicks, url。 |
| order_type | オプション 文字列 | 結果の並び順。許可されている値は、昇順のためのASCと、降順のためのDESCです。 |
| page | オプション 整数 | 結果を取得したいページ番号。デフォルトは1です。 |
| results_per_page | オプション 整数 | 1ページあたりの結果数はどのくらいにしますか。許可されている値は:10, 25, 50, 100, 250, 500, 1000。デフォルトは25です。 |
{
"data": [
{
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-04-17 10:12:15",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://olinke.com/api/links?page=1",
"last": "https://olinke.com/api/links?page=1",
"next": null,
"prev": null,
"self": "https://olinke.com/api/links?page=1"
}
}
GET https://olinke.com/api/links/{link_id}
curl --request GET \
--url 'https://olinke.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://olinke.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-04-17 10:12:15",
}
}
POST https://olinke.com/api/links
| パラメータ | 詳細 | 説明 |
|---|---|---|
| type | オプション 文字列 | link |
| location_url | 必須 文字列 | 宛先のURL。利用可能な時期: is_bulk = 0 |
| location_urls | 必須 文字列 | 宛先のURL。利用可能な時期: is_bulk = 1 |
| url | オプション 文字列 | 生成されたリンクのURLエイリアス。ランダムに生成されたものを使用するには空のままにしてください。利用可能な時期: is_bulk = 0 |
| is_bulk | オプション ブール値 | |
| domain_id | オプション 整数 | - |
| project_id | オプション 整数 | - |
| pixels_ids | オプション 配列 整数 | - |
| email_reports | オプション 配列 | Notification handler ids |
| schedule | オプション ブール値 | - |
| start_date | オプション 文字列 | 利用可能な時期: schedule = true |
| end_date | オプション 文字列 | 利用可能な時期: schedule = true |
| clicks_limit | オプション 整数 | - |
| expiration_url | オプション 文字列 | - |
| sensitive_content | オプション ブール値 | - |
| http_status_code | オプション 整数 | 許可された値: 301, 302, 307, 308 |
| app_linking_is_enabled | オプション ブール値 | - |
| cloaking_is_enabled | オプション ブール値 | - |
| cloaking_title | オプション 文字列 | - |
| cloaking_meta_description | オプション 文字列 | - |
| cloaking_custom_js | オプション 文字列 | - |
| cloaking_favicon | オプション ファイル | - |
| cloaking_opengraph | オプション ファイル | - |
| password | オプション 文字列 | - |
| forward_query_parameters_is_enabled | オプション ブール値 | - |
| seo_block | オプション ブール値 | - |
| utm_source | オプション 文字列 | - |
| utm_medium | オプション 文字列 | - |
| utm_campaign | オプション 文字列 | - |
| targeting_type | オプション 文字列 | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | オプション 文字列 | 利用可能な時期: targeting_type = continent_code |
| targeting_continent_code_value[index] | オプション 文字列 | 利用可能な時期: targeting_type = continent_code |
| targeting_country_code_key[index] | オプション 文字列 | 利用可能な時期: targeting_type = country_code |
| targeting_country_code_value[index] | オプション 文字列 | 利用可能な時期: targeting_type = country_code |
| targeting_city_name_key[index] | オプション 文字列 | 利用可能な時期: targeting_type = city_name |
| targeting_city_name_value[index] | オプション 文字列 | 利用可能な時期: targeting_type = city_name |
| targeting_device_type_key[index] | オプション 文字列 | 利用可能な時期: targeting_type = device_type |
| targeting_device_type_value[index] | オプション 文字列 | 利用可能な時期: targeting_type = device_type |
| targeting_browser_language_key[index] | オプション 文字列 | 利用可能な時期: targeting_type = browser_language |
| targeting_browser_language_value[index] | オプション 文字列 | 利用可能な時期: targeting_type = browser_language |
| targeting_rotation_key[index] | オプション 文字列 | 利用可能な時期: targeting_type = rotation |
| targeting_rotation_value[index] | オプション 文字列 | 利用可能な時期: targeting_type = rotation |
| targeting_os_name_key[index] | オプション 文字列 | 利用可能な時期: targeting_type = os_name |
| targeting_os_name_value[index] | オプション 文字列 | 利用可能な時期: targeting_type = os_name |
| targeting_browser_name_key[index] | オプション 文字列 | 利用可能な時期: targeting_type = browser_name |
| targeting_browser_name_value[index] | オプション 文字列 | 利用可能な時期: targeting_type = browser_name |
curl --request POST \
--url 'https://olinke.com/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://olinke.com/' \
--url 'https://olinke.com/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://olinke.com/' \
{
"data": {
"id": 1
}
}
POST https://olinke.com/api/links/{link_id}
| パラメータ | 詳細 | 説明 |
|---|---|---|
| location_url | オプション 文字列 | 宛先のURL。 |
| url | オプション 文字列 | 生成されたリンクのURLエイリアス。ランダムに生成されたものを使用するには空のままにしてください。 |
| domain_id | オプション 整数 | - |
| project_id | オプション 整数 | - |
| pixels_ids | オプション 配列 整数 | - |
| email_reports | オプション 配列 | Notification handler ids |
| schedule | オプション ブール値 | - |
| start_date | オプション 文字列 | 利用可能な時期: schedule = true |
| end_date | オプション 文字列 | 利用可能な時期: schedule = true |
| clicks_limit | オプション 整数 | - |
| expiration_url | オプション 文字列 | - |
| sensitive_content | オプション ブール値 | - |
| http_status_code | オプション 整数 | 許可された値: 301, 302, 307, 308 |
| app_linking_is_enabled | オプション ブール値 | - |
| cloaking_is_enabled | オプション ブール値 | - |
| cloaking_title | オプション 文字列 | - |
| cloaking_meta_description | オプション 文字列 | - |
| cloaking_custom_js | オプション 文字列 | - |
| cloaking_favicon | オプション ファイル | - |
| cloaking_opengraph | オプション ファイル | - |
| password | オプション 文字列 | - |
| forward_query_parameters_is_enabled | オプション ブール値 | - |
| seo_block | オプション ブール値 | - |
| utm_source | オプション 文字列 | - |
| utm_medium | オプション 文字列 | - |
| utm_campaign | オプション 文字列 | - |
| targeting_type | オプション 文字列 | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | オプション 文字列 | 利用可能な時期: targeting_type = continent_code |
| targeting_continent_code_value[index] | オプション 文字列 | 利用可能な時期: targeting_type = continent_code |
| targeting_country_code_key[index] | オプション 文字列 | 利用可能な時期: targeting_type = country_code |
| targeting_country_code_value[index] | オプション 文字列 | 利用可能な時期: targeting_type = country_code |
| targeting_city_name_key[index] | オプション 文字列 | 利用可能な時期: targeting_type = city_name |
| targeting_city_name_value[index] | オプション 文字列 | 利用可能な時期: targeting_type = city_name |
| targeting_device_type_key[index] | オプション 文字列 | 利用可能な時期: targeting_type = device_type |
| targeting_device_type_value[index] | オプション 文字列 | 利用可能な時期: targeting_type = device_type |
| targeting_browser_language_key[index] | オプション 文字列 | 利用可能な時期: targeting_type = browser_language |
| targeting_browser_language_value[index] | オプション 文字列 | 利用可能な時期: targeting_type = browser_language |
| targeting_rotation_key[index] | オプション 文字列 | 利用可能な時期: targeting_type = rotation |
| targeting_rotation_value[index] | オプション 文字列 | 利用可能な時期: targeting_type = rotation |
| targeting_os_name_key[index] | オプション 文字列 | 利用可能な時期: targeting_type = os_name |
| targeting_os_name_value[index] | オプション 文字列 | 利用可能な時期: targeting_type = os_name |
| targeting_browser_name_key[index] | オプション 文字列 | 利用可能な時期: targeting_type = browser_name |
| targeting_browser_name_value[index] | オプション 文字列 | 利用可能な時期: targeting_type = browser_name |
curl --request POST \
--url 'https://olinke.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--url 'https://olinke.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://olinke.com/api/links/{link_id}
curl --request DELETE \
--url 'https://olinke.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://olinke.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \